COSH(3)

NAME
cosh, coshf - hyperbolic cosine functions

SYNOPSIS
#include <math.h>
double
cosh(double x);
float
cosh(float x);

DESCRIPTION
The cosh() and the coshf() functions compute the hyperbolic cosine of x.

RETURN VALUES
The cosh() and the coshf() functions return the hyperbolic cosine unless the magnitude of x is too large; in this event, the global variable errno is set to ERANGE.

SEE ALSO
acos(3), asin(3), atan(3), atan2(3), cos(3), sin(3), sinh(3), tan(3), tanh(3), math(3)

STANDARDS
The cosh() function conforms to ansiC.